package com.diagbot.vo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:52
 */
@ApiModel(value="添加或者编辑标签同义词接口明细传参")
@Getter
@Setter
public class AddTagRetrievalDetailVO {
	
	/**
     * 标签id
     */
	@ApiModelProperty(value="标签id")
	private Long questionId; 
	
	/**
	 * 标签名称
	 */
	@ApiModelProperty(value="标签名称")
	private String questionName;
	
	/**
	 * 同义词名称
	 */
	@ApiModelProperty(value="同义词名称",required=true)
	@NotBlank(message="同义词名称必传")
	private String retrievalName;
	
	/**
	 * 同义词拼音
	 */
	@ApiModelProperty(value="同义词拼音",required=true)
	@NotBlank(message="同义词拼音必传")
	private String retrievalSpell;
	
	/**
	 * 同义词种类
	 */
	@ApiModelProperty(value="同义词种类",required=true)
	@NotNull(message="同义词种类必传")
	private Integer retrievalType;

	@Override
	public boolean equals(Object obj) {
		if(this==obj){
			return true;
		}
		if(obj instanceof AddTagRetrievalDetailVO){
			AddTagRetrievalDetailVO addTagRetrievalDetailVO = (AddTagRetrievalDetailVO)obj;
			if(addTagRetrievalDetailVO.getRetrievalName().equals(this.retrievalName)){
					//&&addTagRetrievalDetailVO.getRetrievalType()==this.retrievalType){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
	}

	@Override
	public int hashCode() {
		return this.retrievalName.hashCode()+this.retrievalType;
	}
	
	
	
}
